"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const typed_graphqlify_1 = require("typed-graphqlify");
const GraphQL_1 = __importDefault(require("./GraphQL"));
class Mutation extends GraphQL_1.default {
    constructor(operationName, columnsType, varTypes = {}) {
        super(columnsType, varTypes);
        this.operationName = operationName;
    }
    toString({ columns, variables, }) {
        const param = this.operation(this.operationName, columns, variables);
        return typed_graphqlify_1.mutation(this.operationName, param);
    }
}
exports.default = Mutation;
//# sourceMappingURL=Mutation.js.map