import { ICols } from './interfaces';
import Mutation from './Mutation';
import Query from './Query';
export interface IParams {
    query: string;
    variables: {
        [key: string]: any;
    };
}
export default class Operation {
    readonly name: string;
    readonly query: Mutation | Query;
    private readonly columns;
    private readonly variables;
    constructor(variables: {
        [key: string]: any;
    }, columns: Array<ICols | string>, query: Mutation | Query);
    params(): IParams;
}
//# sourceMappingURL=Operation.d.ts.map