"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Operation {
    constructor(variables, columns, query) {
        this.variables = variables;
        this.columns = columns;
        this.name = query.operationName;
        this.query = query;
    }
    params() {
        const query = this.query.toString({
            columns: this.columns,
            variables: Object.keys(this.variables),
        });
        return {
            query,
            variables: this.variables,
        };
    }
}
exports.default = Operation;
//# sourceMappingURL=Operation.js.map