"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../../");
const types_1 = require("../types");
describe('GraphQL-Type-Mutation', () => {
    it('render GraphQL - variable  in subqueries', () => {
        const query = new __1.Mutation('translation', types_1.translationType, {
            code: 'String',
            texts: '[CreateTranslation]',
        });
        const queryString = query.toString({
            columns: [
                'idTranslation',
                {
                    text: ['idText', 'text'],
                },
            ],
            variables: [
                'code',
                'texts',
            ],
        });
        expect(queryString).toEqual('mutation translation($code:String,$texts:[CreateTranslation]){translation(code:$code,texts:$texts){idTranslation text{idText text}}}');
    });
});
//# sourceMappingURL=Mutation.js.map