import { ICols, IColsTypes, IColumnType } from '../interfaces';
export declare class Cols {
    private readonly columns;
    constructor(columns: IColumnType[]);
    /**
     * Return the columns for the query or mutation
     *
     * {
     *  data {
     *    idTranslation: types.number
     *    text {
     *      idText: types.number
     *      idLang: types.string,
     *      text: types.string
     *    }
     *  }
     * }
     *
     * @param columns
     */
    cols: (columnsSelected: (string | ICols)[]) => IColsTypes;
    /**
     * Return a column
     * @param columnName
     */
    private getCol;
    /**
     * To get the name of the the columns names
     * @param array
     */
    private getNames;
}
//# sourceMappingURL=Cols.d.ts.map