import { ICols, IVars } from '../interfaces';
export declare class Vars {
    private readonly varTypes;
    constructor(varTypes: {
        [key: string]: string;
    });
    /**
     * Return the keys for the query variables, i.e: ($idLang: Int)
     *
     * @param variables the variables of the top query
     * @param columnsSelected the variables of the childs
     */
    varsKeys: (columnsSelected: (string | ICols)[], variables?: string[] | undefined) => IVars;
    /**
     * Return the values for the query variable function, i.e: (idLang: $idLang)
     */
    varsValues: (variables: string[]) => IVars;
    private getVariableNames;
    private Error;
}
//# sourceMappingURL=Vars.d.ts.map